## pitivi 0.98

=== meson_options.txt ===
option('enable-xunit', type : 'boolean', value : false)
option('disable-help', type : 'boolean', value : false)

=== subprojects/gst-transcoder/meson_options.txt ===
option('disable-introspection', type : 'boolean', value : false, description : 'disable introspection of the library')

## pitivi 0.13.4

=== debian/changelog ===
pitivi (0.13.4-3) unstable; urgency=low

  * debian/control,
    debian/source/format,
    debian/compat,
    debian/rules,
    debian/patches:
    + Update to source format 3.0 (quilt).
    + Update to debhelper compat level 7.
    + Update to standards version 3.9.0.
  * debian/patches/02_uri-sink-async.patch:
    + Patch from upstream GIT to fix encoding with encoders
      that produce latency, e.g. VP8, x264 or Dirac.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 09 Jul 2010 10:24:40 +0200

pitivi (0.13.4-2) unstable; urgency=low

  * debian/control:
    + Suggest some more GStreamer plugin packages.
    + Depend on the X video sink or any other video sink.
    + Depend on the PulseAudio audio sink or any other audio sink (Closes: #526079).
  * debian/patches/01_disable-devel-mode.patch:
    + Disable the development mode (Closes: #556851).
      Thanks to Serafeim Zanikolas for the patch.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 14 Mar 2010 20:33:03 +0100

pitivi (0.13.4-1) unstable; urgency=low

  * New upstream stable release, "Cabernet d'Anjou":
    + debian/control:
      - Update dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Mar 2010 08:51:29 +0000

pitivi (0.13.3.2-1) unstable; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 10 Mar 2010 07:05:18 +0000

pitivi (0.13.3-2) unstable; urgency=low

  * debian/control:
    + Only depend on python-pkg-resources and not
      python-setuptools (Closes: #546440).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 13 Sep 2009 19:02:17 +0200

pitivi (0.13.3-1) unstable; urgency=low

  * New upstream release, '... we shall never (sur)render'.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 12 Sep 2009 13:04:09 +0200

pitivi (0.13.2.4-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2009 16:50:20 +0200

pitivi (0.13.2.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update dependencies.
  * debian/control:
    + Depend on python-zope.interface | python-zope-interface instead
      of only python-zope-interface (Closes: #543421)
    + Depend on python-gconf instead of python-gnome2 which will go away.
      Also pitivi only uses the gconf module so this keeps dependencies
      a bit smaller (Closes: #541577).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 02 Sep 2009 18:20:39 +0200

pitivi (0.13.2.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update dependencies.
  * debian/control:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 30 Aug 2009 15:49:52 +0200

pitivi (0.13.2-1) unstable; urgency=low

  * New upstream release, 'Jailbreak (out of deadlock city)'.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 13 Aug 2009 19:33:06 +0200

pitivi (0.13.1.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Aug 2009 16:26:53 +0200

pitivi (0.13.1.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update dependencies.
  * debian/control:
    + Update Standards-Version to 3.8.2.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 24 Jul 2009 18:43:26 +0200

pitivi (0.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 May 2009 14:22:49 +0200

pitivi (0.13.0.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 25 May 2009 12:06:33 +0200

pitivi (0.13.0.2-1) experimental; urgency=low

  [ Alessandro Decina ]
  * New upstream pre-release.

  [ Sebastian Dröge ]
  * Upload to experimental, based on the Ubuntu package.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 21 May 2009 20:33:54 +0200

pitivi (0.11.3-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Update Standards-Version to 3.8.1.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 21 May 2009 20:28:22 +0200

pitivi (0.11.3-1) experimental; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Dec 2008 10:22:29 +0100

pitivi (0.11.2.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update build dependencies.
      - Update gnonlin dependency version to 0.10.10.
      - Depend on python-dbus.
      - Recommend hal for the webcam support.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 Dec 2008 12:47:07 +0100

pitivi (0.11.2-2) experimental; urgency=low

  * debian/control:
    + Add depends on python-pkg-resources. Thanks to Sjoerd Simons.
    + Add depends on python-setuptools (Closes: #506581).
    + Add depends on python-zope-interface (Closes: #506580).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Nov 2008 13:29:39 +0100

pitivi (0.11.2-1) experimental; urgency=low

  [ Loic Minier ]
  * Depend on gnome-icon-theme, thanks Kai Hendry; closes: #453939.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/control:
      - Add myself to Uploaders.
      - Update dependencies.
      - Update Standards-Version to 3.8.0.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 02 Nov 2008 17:10:14 +0100

pitivi (0.10.3-1) unstable; urgency=low

  * New upstream stable release.

 -- Loic Minier <lool@dooz.org>  Thu, 31 May 2007 12:04:44 +0200

pitivi (0.10.2.2-1) unstable; urgency=low

  * New upstream pre-release.
    - Drop useless build-deps as upstream doesn't check for runtime
      requirements in configure.ac anymore.
  * Add missing dep on python-cairo and fix versions of other deps.

 -- Loic Minier <lool@dooz.org>  Mon, 28 May 2007 17:06:27 +0200

pitivi (0.10.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Loic Minier <lool@dooz.org>  Sat, 12 May 2007 12:20:46 +0200



=== debian/control ===
Source: pitivi
Section: gnome
Priority: optional
Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs (>= 0.4.43),
        debhelper (>= 7),
        dh-buildinfo
Build-Depends-Indep: python-dev (>= 2.5),
                     python-central (>= 0.5.10),
                     libxml-parser-perl,
                     intltool (>= 0.35)
Standards-Version: 3.9.0
XS-Python-Version: current

Package: pitivi
Architecture: all
Depends: ${misc:Depends},
        ${python:Depends},
        python-gtk2 (>= 2.14),
        python-gst0.10 (>= 0.10.16),
        gstreamer0.10-gnonlin (>= 0.10.15),
        python-cairo (>= 1.0.0),
        python-glade2,
        python-gconf,
        python-dbus,
        python-pkg-resources,
        python-zope.interface | python-zope-interface,
        libgstreamer0.10-0 (>= 0.10.28),
        libgstreamer-plugins-base0.10-0 (>= 0.10.28),
        gstreamer0.10-plugins-base (>= 0.10.28),
        gstreamer0.10-plugins-good,
        gstreamer0.10-pulseaudio | gstreamer0.10-audiosink,
        gstreamer0.10-x | gstreamer0.10-videosink,
        gnome-icon-theme,
        python-pygoocanvas
Recommends: hal
Suggests: gstreamer0.10-plugins-ugly,
          gstreamer0.10-plugins-bad,
          gstreamer0.10-ffmpeg
XB-Python-Version: ${python:Versions}
Description: non-linear audio/video editor using GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 PiTiVi allows users to easily edit audio/video projects based on the
 GStreamer framework.  PiTIVi provides several ways of creating and
 modifying a timeline.  Ranging from a simple synopsis view (a-la
 iMovie) to the full-blown editing view (aka Complex View) which puts
 you in complete control of your editing.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

binary-post-install/pitivi::
	# set executable bit on files with a shebang
	egrep -rlZ '^#!(.*)python' debian/pitivi/usr/lib/pitivi | xargs -0 chmod a+x --
	dh_pycentral
	dh_python

## pitivi 0.13.5

=== debian/changelog ===
pitivi (0.13.5-1ubuntu3) maverick-proposed; urgency=low

  * debian/patches/series
    - Actually add 10_canvas-fixes-lp_640630.patch that fixes (LP: #640630)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 14 Oct 2010 11:00:02 -0400

pitivi (0.13.5-1ubuntu2) maverick; urgency=low

  * debian/patches/10_canvas-fixes-lp_640630.patch
    - Don't crash when rendering thumbnails in the timeline (LP: #640630)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 04 Oct 2010 09:21:22 -0400

pitivi (0.13.5-1ubuntu1) maverick; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
  * debian/control:
    - Add Vcs-Bzr link
    - Build-depend on python-launchpad-integration
    - Drop hal from Recommends to Suggests. This version has the patch applied
      to not crash without hal. Hal-B-gone from our CDs!
  * debian/rules:
    - Use gnome.mk so a translation template is built
  * debian/patches/01_lpi.patch:
    - launchpad integration 

 -- Sebastian Dröge <slomo@debian.org>  Fri, 17 Sep 2010 13:09:17 +0200

pitivi (0.13.5-1) experimental; urgency=low

  * New upstream release, "I Missed My Lunch".

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Sep 2010 18:02:21 +0200

pitivi (0.13.4.3-1ubuntu1) maverick; urgency=low

  * New version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Sep 2010 22:02:24 +0200

pitivi (0.13.4.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 11 Sep 2010 18:34:07 +0200

pitivi (0.13.4.2-1ubuntu1) maverick; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
  * debian/control:
    - Add Vcs-Bzr link
    - Build-depend on python-launchpad-integration
    - Drop hal from Recommends to Suggests. This version has the patch applied
      to not crash without hal. Hal-B-gone from our CDs!
  * debian/rules:
    - Use gnome.mk so a translation template is built
  * debian/patches/01_lpi.patch:
    - launchpad integration

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 09 Sep 2010 12:37:45 +1000

pitivi (0.13.4.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/02_uri-sink-async.patch:
      - Dropped, merged upstream.
    + debian/control:
      - Update python-gst0.10 dependency to >= 0.10.19.
    + debian/patches/01_disable-devel-mode.patch:
      - Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 Sep 2010 21:19:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pitivi
 Section: gnome
 Priority: optional
-Maintainer: Loic Minier <lool@dooz.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
         debhelper (>= 7),
@@ -12,13 +13,14 @@
                      intltool (>= 0.35)
 Standards-Version: 3.9.0
 XS-Python-Version: current
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/pitivi/ubuntu
 
 Package: pitivi
 Architecture: all
 Depends: ${misc:Depends},
         ${python:Depends},
         python-gtk2 (>= 2.14),
-        python-gst0.10 (>= 0.10.16),
+        python-gst0.10 (>= 0.10.19),
         gstreamer0.10-gnonlin (>= 0.10.15),
         python-cairo (>= 1.0.0),
         python-glade2,
@@ -33,10 +35,11 @@
         gstreamer0.10-pulseaudio | gstreamer0.10-audiosink,
         gstreamer0.10-x | gstreamer0.10-videosink,
         gnome-icon-theme,
-        python-pygoocanvas
-Recommends: hal
+        python-pygoocanvas,
+        python-launchpad-integration
 Suggests: gstreamer0.10-plugins-ugly,
           gstreamer0.10-plugins-bad,
+          hal,
           gstreamer0.10-ffmpeg
 XB-Python-Version: ${python:Versions}
 Description: non-linear audio/video editor using GStreamer

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/class/gnome.mk
 
 binary-post-install/pitivi::
 	# set executable bit on files with a shebang

## pitivi 0.15.0

=== debian/changelog ===
pitivi (0.15.0-1) unstable; urgency=low

  * New upstream release:
    + debian/control:
      - Update python-gtk2 dependency to >= 2.17.
      - Update gstreamer0.10-gnonlin dependency to >= 0.10.17.
      - Add Recommends for python-numpy for the autoaligner.
      - Build-depend on gnome-doc-utils >= 0.18.0.
      - Build-depend on pkg-config.
    + debian/patches/01_disable-devel-mode.patch:
      - Updated to apply cleanly again
    + debian/rules:
      - Don't abort the build if there are no files with a shebang
        that have to get the executable bit set.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Sep 2011 19:15:10 +0200

pitivi (0.14.0-2) unstable; urgency=low

  * debian/control:
    + Remove hal dependency.
    + Add python-xdg dependency and depend on python-gtk2 >= 2.18.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 01 Jun 2011 18:53:10 +0200

pitivi (0.14.0-1) unstable; urgency=low

  * New upstream stable release, "no longer kills kittens".

 -- Sebastian Dröge <slomo@debian.org>  Wed, 01 Jun 2011 18:40:47 +0200

pitivi (0.13.9.90-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Suggest frei0r-plugins for more useful effect plugins.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 25 May 2011 20:22:33 +0200

pitivi (0.13.5-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 09 Feb 2011 15:45:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pitivi
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
+Maintainer: Loic Minier <lool@dooz.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
         debhelper (>= 7),
@@ -10,37 +9,39 @@
 Build-Depends-Indep: python-dev (>= 2.5),
                      python-central (>= 0.5.10),
                      libxml-parser-perl,
-                     intltool (>= 0.35)
+                     intltool (>= 0.35),
+                     gnome-doc-utils (>= 0.18.0),
+                     pkg-config
 Standards-Version: 3.9.0
 XS-Python-Version: current
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/pitivi/ubuntu
 
 Package: pitivi
 Architecture: all
 Depends: ${misc:Depends},
         ${python:Depends},
-        python-gtk2 (>= 2.14),
+        python-gtk2 (>= 2.17),
         python-gst0.10 (>= 0.10.19),
-        gstreamer0.10-gnonlin (>= 0.10.15),
         python-cairo (>= 1.0.0),
         python-glade2,
         python-gconf,
         python-dbus,
         python-pkg-resources,
         python-zope.interface | python-zope-interface,
+        python-pygoocanvas,
+        python-xdg,
         libgstreamer0.10-0 (>= 0.10.28),
         libgstreamer-plugins-base0.10-0 (>= 0.10.28),
         gstreamer0.10-plugins-base (>= 0.10.28),
         gstreamer0.10-plugins-good,
         gstreamer0.10-pulseaudio | gstreamer0.10-audiosink,
         gstreamer0.10-x | gstreamer0.10-videosink,
-        gnome-icon-theme,
-        python-pygoocanvas,
-        python-launchpad-integration
+        gstreamer0.10-gnonlin (>= 0.10.16),
+        gnome-icon-theme
+Recommends: python-numpy
 Suggests: gstreamer0.10-plugins-ugly,
           gstreamer0.10-plugins-bad,
-          hal,
-          gstreamer0.10-ffmpeg
+          gstreamer0.10-ffmpeg,
+          frei0r-plugins
 XB-Python-Version: ${python:Versions}
 Description: non-linear audio/video editor using GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## pitivi 0.15.1

=== debian/changelog ===
pitivi (0.15.1-0ubuntu1) precise; urgency=low

  * New upstream bug fix version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Feb 2012 15:11:01 +0100

pitivi (0.15.0-0ubuntu1) oneiric; urgency=low

  * New upstream stable release. (Only bugfixes and translation updates
    since 0.14.91.)
    - A new transformation feature allows resizing, panning and cropping
      clips directly in the previewer
    - Automatic clip alignment by analyzing soundtracks to sync multicamera
      footage
    - Ability to have presets for rendering
    - Default set of project settings and rendering presets
    - Cleaner preferences dialog
    - Integrated offline user manual
    - Cleaner advanced codec settings dialog
    - Improved video thumbnailing performance
    - "Soft depedencies" manager to warn the user of features requiring
      additional packages
    - Port to gtkbuilder
    - Respect GNOME's button icons setting
    - Improved startup time
    - Code cleanups and remove dead code
    - Properly show property descriptions (blurbs) for advanced codec settings
  * debian/watch: Watch 0.15 series

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Sep 2011 01:20:58 -0400

pitivi (0.14.91-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - Fix python-gst0.10 dependency which made PiTiVi uninstallable
      (LP: #856999)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Sep 2011 10:00:36 -0400

pitivi (0.14.91-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control:
    - Bump dependency versions to match configure.ac
    - Add python-numpy to suggests
  * debian/patches/01_lpi.patch: Refreshed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2011 10:14:09 -0400

pitivi (0.14.2-0ubuntu2) oneiric; urgency=low

  * debian/control: build-depends on pkg-config

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Aug 2011 11:48:16 +0200

pitivi (0.14.2-0ubuntu1) oneiric; urgency=low

  * New upstream version.
    - New Mallard format help
  * debian/control:
    - Add gnome-doc-utils to build-depends
    - Bump pygtk minimum to 2.24
  * debian/patches/01_lpi.patch
    - Move LPI items below User Manual in Help menu
  * debian/watch: Watch for 0.14.* tar.bz2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 Aug 2011 02:32:20 -0400

pitivi (0.14.1-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/control: 
    - clean the python-glade depends, the new version uses gtkbuilder
  * debian/rules: drop hack which doesn't apply to the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Jul 2011 13:43:47 +0200

pitivi (0.14.0-2ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Migrate from python-central to dh_python2.
    - debian/control: Depend on python-launchpad-integration
    - debian/patches/01_lpi.patch: launchpad integration  
    - debian/rules: Use gnome.mk so a translation template is built
  * Dropped changes, merged in Debian:
    - Drop hal from Recommends to Suggests. This version has the patch
      applied to not crash without hal.

 -- Steve Langasek <vorlon@debian.org>  Wed, 22 Jun 2011 09:48:16 -0700

pitivi (0.13.9.90-1ubuntu2) oneiric; urgency=low

  * Migrate from python-central to dh_python2.  LP: #788514.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Jun 2011 09:23:14 +0000

pitivi (0.13.9.90-1ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian
  * debian/control:
    - Depend on python-launchpad-integration
    - Drop hal from Recommends to Suggests. This version has the patch applied
      to not crash without hal.
  * debian/patches/01_lpi.patch:
    - launchpad integration  
  * debian/rules:
    - Use gnome.mk so a translation template is built

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 May 2011 15:29:58 +0200

## pitivi 0.15.2

=== debian/changelog ===
pitivi (0.15.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #673547)
  - Fixes compatibility with newer GStreamer good plugins
  * Raise python-gtk dep to 2.24 (Closes: #664278)

 -- Timo Jyrinki <timo@debian.org>  Tue, 12 Jun 2012 11:20:41 +0300

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: all
 Depends: ${misc:Depends},
         ${python:Depends},
-        python-gtk2 (>= 2.17),
+        python-gtk2 (>= 2.24),
         python-gst0.10 (>= 0.10.19),
         python-cairo (>= 1.0.0),
         python-glade2,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

binary-post-install/pitivi::
	# set executable bit on files with a shebang
	-egrep -rlZ '^#!(.*)python' debian/pitivi/usr/lib/pitivi | xargs -0 chmod a+x --
	dh_pycentral
	dh_python

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/pitivi/0.13/pitivi-(.*)\.tar.gz

## pitivi 0.92

=== debian/changelog ===
pitivi (0.92-1) experimental; urgency=low

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 04 Nov 2013 20:38:20 +0100

pitivi (0.91-1) experimental; urgency=low

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 01 Nov 2013 10:22:08 +0100

pitivi (0.15.2-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616940).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 01 Jun 2013 14:42:05 +0200

=== debian/control ===
Source: pitivi
Section: gnome
Priority: optional
Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 9),
        dpkg-dev (>= 1.16.1~),
        dh-buildinfo,
        python-all-dev (>= 2.7),
        intltool (>= 0.35),
        gnome-doc-utils (>= 0.18.0),
        pkg-config,
        itstool,
        libcairo2-dev,
        python-cairo-dev,
        python-support
X-Python-Version: >= 2.7
Standards-Version: 3.9.4
Homepage: http://www.pitivi.org

Package: pitivi
Architecture: any
Depends: ${misc:Depends},
        ${shlibs:Depends},
        ${python:Depends},
        python (>= 2.7),
        python-gi (>= 3.0),
        gir1.2-glib-2.0,
        gir1.2-gstreamer-1.0 (>= 1.2.0),
        gir1.2-gst-plugins-base-1.0 (>= 1.2.0),
        gir1.2-ges-1.0,
        gir1.2-pango-1.0,
        gir1.2-gdkpixbuf-2.0,
        gir1.2-gtk-3.0,
        gir1.2-clutter-1.0,
        gir1.2-gtkclutter-1.0,
        python-gst-1.0,
        python-numpy,
        python-matplotlib,
        python-xdg,
        python-cairo,
        python-dbus,
        gstreamer1.0-plugins-base (>= 1.2.0),
        gstreamer1.0-plugins-good (>= 1.2.0),
        gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
        gstreamer1.0-x | gstreamer1.0-videosink,
        gstreamer1.0-gnonlin,
        gnome-icon-theme
Suggests: gstreamer1.0-plugins-ugly,
          gstreamer1.0-plugins-bad,
          gstreamer1.0-libav,
          frei0r-plugins
Description: non-linear audio/video editor using GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 PiTiVi allows users to easily edit audio/video projects based on the
 GStreamer framework.  PiTIVi provides several ways of creating and
 modifying a timeline.  Ranging from a simple synopsis view (a-la
 iMovie) to the full-blown editing view (aka Complex View) which puts
 you in complete control of your editing.

## pitivi 0.93

=== debian/changelog ===
pitivi (0.93-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Import Ubuntu patches to fix issues (Closes: #763961) (Closes: #760710)
    - 0001-work-around-fix-crash-in-non-GNOME-Shell-WMs.-timeli.patch
    - 0002-project-Fix-setting-of-restriction-caps-values.patch
      + Use set_value, not assignment as GstStructure doesn't support the
        latter.
    - 0005-pitivi-Start-using-glimagesink-as-default-sink.patch
    - 0006-pipeline-Reimplement-connectWithViewer-for-glimagesi.patch
      + Use glimagesink instead of cluttersink which resolves serious
        rendering problems with the preview window.
        > Depend on gstreamer1.0-plugins-bad for this.

 -- Timo Jyrinki <timo@debian.org>  Wed, 29 Oct 2014 12:06:05 +0200

pitivi (0.93-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patches to remove dependency on Cogl (Closes: #747009)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 04 Sep 2014 18:41:31 -0300

pitivi (0.93-4) unstable; urgency=medium

  * debian/control:
    + Add dependency on python-gi-cairo (Closes: #743825).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 25 Apr 2014 11:04:09 +0200

pitivi (0.93-3) unstable; urgency=medium

  * debian/control:
    + Depend on python-gi (>= 3.10), older versions do not work
      with pitivi (Closes: #732813).
    + Add missing dependency on gir1.2-clutter-gst-2.0 (Closes: #743692).
    + Add suggests on gir1.2-notify-0.7 and gir1.2-gnomedesktop-3.0.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 05 Apr 2014 15:28:16 +0200

pitivi (0.93-2) unstable; urgency=medium

  * debian/patches/01_disable-devel-mode.patch:
    + Fix typo in patch.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 Mar 2014 15:35:00 +0100

pitivi (0.93-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 Mar 2014 15:22:50 +0100

=== debian/control ===
--- 
+++ 
@@ -24,32 +24,36 @@
         ${shlibs:Depends},
         ${python:Depends},
         python (>= 2.7),
-        python-gi (>= 3.0),
+        python-gi (>= 3.10),
         gir1.2-glib-2.0,
-        gir1.2-gstreamer-1.0 (>= 1.2.0),
-        gir1.2-gst-plugins-base-1.0 (>= 1.2.0),
-        gir1.2-ges-1.0,
+        gir1.2-gstreamer-1.0 (>= 1.2.3),
+        gir1.2-gst-plugins-base-1.0 (>= 1.2.3),
+        gir1.2-ges-1.0 (>= 1.2.0),
         gir1.2-pango-1.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gtk-3.0,
         gir1.2-clutter-1.0,
+        gir1.2-clutter-gst-2.0,
         gir1.2-gtkclutter-1.0,
         python-gst-1.0,
         python-numpy,
         python-matplotlib,
         python-xdg,
         python-cairo,
+        python-gi-cairo,
         python-dbus,
-        gstreamer1.0-plugins-base (>= 1.2.0),
-        gstreamer1.0-plugins-good (>= 1.2.0),
+        gstreamer1.0-plugins-base (>= 1.2.3),
+        gstreamer1.0-plugins-good (>= 1.2.3),
+        gstreamer1.0-plugins-bad (>= 1.2.3),
         gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
         gstreamer1.0-x | gstreamer1.0-videosink,
-        gstreamer1.0-gnonlin,
+        gstreamer1.0-gnonlin (>= 1.2.0),
         gnome-icon-theme
 Suggests: gstreamer1.0-plugins-ugly,
-          gstreamer1.0-plugins-bad,
           gstreamer1.0-libav,
-          frei0r-plugins
+          frei0r-plugins,
+          gir1.2-notify-0.7,
+          gir1.2-gnomedesktop-3.0
 Description: non-linear audio/video editor using GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python/python.mk

configure_flags += \
		--disable-silent-rules \
		$(NULL)

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_test:

## pitivi 0.94

=== debian/changelog ===
pitivi (0.94-4) unstable; urgency=medium

  * debian/rules,
    debian/control:
    + Fixup python packaging to generate the correct dependencies and
      not ship any cache files (Closes: #799677).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 25 Sep 2015 13:36:50 +0200

pitivi (0.94-3) unstable; urgency=medium

  [ Larissa Reis ]
  * Non-maintainer upload.
  * Removes deprecated python-support disabling it with `without` in rules file (Closes: #786029)
  * Explicitly build-depends on dh-python

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Larissa Reis <larissa@colivre.coop.br>  Tue, 18 Aug 2015 13:39:19 -0300

pitivi (0.94-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 12:32:13 +0300

pitivi (0.94-1) experimental; urgency=medium

  * New upstream release:
    + debian/control:
      - Update (build-) depends.
    + debian/patches/*:
      - Removed, merged upstream.
    + debian/patches/01_disable-devel-mode.patch:
      - Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Nov 2014 16:44:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: debhelper (>= 9),
         dpkg-dev (>= 1.16.1~),
         dh-buildinfo,
-        python-all-dev (>= 2.7),
+        python3-dev (>= 2.7),
         intltool (>= 0.35),
         gnome-doc-utils (>= 0.18.0),
         pkg-config,
         itstool,
         libcairo2-dev,
-        python-cairo-dev,
-        python-support
-X-Python-Version: >= 2.7
+        python3-cairo-dev,
+        dh-python
+X-Python-Version: >= 3.0
 Standards-Version: 3.9.4
 Homepage: http://www.pitivi.org
 
@@ -22,32 +22,31 @@
 Architecture: any
 Depends: ${misc:Depends},
         ${shlibs:Depends},
-        ${python:Depends},
-        python (>= 2.7),
-        python-gi (>= 3.10),
+        ${python3:Depends},
+        python3-gi (>= 3.10),
         gir1.2-glib-2.0,
-        gir1.2-gstreamer-1.0 (>= 1.2.3),
-        gir1.2-gst-plugins-base-1.0 (>= 1.2.3),
-        gir1.2-ges-1.0 (>= 1.2.0),
+        gir1.2-gstreamer-1.0 (>= 1.4.0),
+        gir1.2-gst-plugins-base-1.0 (>= 1.4.0),
+        gir1.2-ges-1.0 (>= 1.4.0),
         gir1.2-pango-1.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gtk-3.0,
         gir1.2-clutter-1.0,
         gir1.2-clutter-gst-2.0,
         gir1.2-gtkclutter-1.0,
-        python-gst-1.0,
-        python-numpy,
-        python-matplotlib,
-        python-xdg,
-        python-cairo,
-        python-gi-cairo,
-        python-dbus,
-        gstreamer1.0-plugins-base (>= 1.2.3),
-        gstreamer1.0-plugins-good (>= 1.2.3),
-        gstreamer1.0-plugins-bad (>= 1.2.3),
+        python3-gst-1.0,
+        python3-numpy,
+        python3-matplotlib,
+        python3-xdg,
+        python3-cairo,
+        python3-gi-cairo,
+        python3-dbus,
+        gstreamer1.0-plugins-base (>= 1.4.0),
+        gstreamer1.0-plugins-good (>= 1.4.0),
+        gstreamer1.0-plugins-bad (>= 1.4.0),
         gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
         gstreamer1.0-x | gstreamer1.0-videosink,
-        gstreamer1.0-gnonlin (>= 1.2.0),
+        gstreamer1.0-gnonlin (>= 1.4.0),
         gnome-icon-theme
 Suggests: gstreamer1.0-plugins-ugly,
           gstreamer1.0-libav,

## pitivi 0.95

=== debian/changelog ===
pitivi (0.95-1) unstable; urgency=medium

  * New upstream release:
    + Removes gnonlin dependency and replaces it with GES (Closes: #804510)
  * debian/control:
    + Remove unneeded Clutter dependencies (Closes: #788617)

 -- Sebastian Dröge <slomo@debian.org>  Fri, 20 Nov 2015 11:35:02 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,9 @@
         pkg-config,
         itstool,
         libcairo2-dev,
+        libgtk-3-dev (>= 3.10.0),
+        libgstreamer1.0-dev (>= 1.6.0),
+        libgstreamer-plugins-base1.0-dev (>= 1.6.0),
         python3-cairo-dev,
         dh-python
 X-Python-Version: >= 3.0
@@ -24,29 +27,25 @@
         ${shlibs:Depends},
         ${python3:Depends},
         python3-gi (>= 3.10),
-        gir1.2-glib-2.0,
-        gir1.2-gstreamer-1.0 (>= 1.4.0),
-        gir1.2-gst-plugins-base-1.0 (>= 1.4.0),
-        gir1.2-ges-1.0 (>= 1.4.0),
+        gir1.2-glib-2.0 (>= 1.31.1),
+        gir1.2-gstreamer-1.0 (>= 1.6.0),
+        gir1.2-gst-plugins-base-1.0 (>= 1.6.0),
+        gir1.2-ges-1.0 (>= 1.6.0),
         gir1.2-pango-1.0,
         gir1.2-gdkpixbuf-2.0,
-        gir1.2-gtk-3.0,
-        gir1.2-clutter-1.0,
-        gir1.2-clutter-gst-2.0,
-        gir1.2-gtkclutter-1.0,
-        python3-gst-1.0,
+        gir1.2-gtk-3.0 (>= 3.10.0),
+        python3-gst-1.0 (>= 1.6.0),
         python3-numpy,
         python3-matplotlib,
         python3-xdg,
         python3-cairo,
         python3-gi-cairo,
         python3-dbus,
-        gstreamer1.0-plugins-base (>= 1.4.0),
-        gstreamer1.0-plugins-good (>= 1.4.0),
-        gstreamer1.0-plugins-bad (>= 1.4.0),
+        gstreamer1.0-plugins-base (>= 1.6.0),
+        gstreamer1.0-plugins-good (>= 1.6.0),
+        gstreamer1.0-plugins-bad (>= 1.6.0),
         gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
         gstreamer1.0-x | gstreamer1.0-videosink,
-        gstreamer1.0-gnonlin (>= 1.4.0),
         gnome-icon-theme
 Suggests: gstreamer1.0-plugins-ugly,
           gstreamer1.0-libav,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 		$(NULL)
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --without pysupport
+
+override_dh_python3:
+	dh_python3
+	dh_python3 /usr/lib/$(DEB_TARGET_MULTIARCH)/pitivi/python/pitivi
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_flags)

## pitivi 0.97.1

=== debian/changelog ===
pitivi (0.97.1-1) unstable; urgency=medium

  * New upstream release:
    + Update build-dependencies.
    + Switch from autotools to meson build system.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Aug 2016 10:05:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,22 @@
 Build-Depends: debhelper (>= 9),
         dpkg-dev (>= 1.16.1~),
         dh-buildinfo,
-        python3-dev (>= 2.7),
+        dh-python,
+        meson (>= 0.32.0),
+        python3-dev (>= 3.3),
+        python3-nose,
         intltool (>= 0.35),
         gnome-doc-utils (>= 0.18.0),
         pkg-config,
         itstool,
+        git,
         libcairo2-dev,
-        libgtk-3-dev (>= 3.10.0),
-        libgstreamer1.0-dev (>= 1.6.0),
-        libgstreamer-plugins-base1.0-dev (>= 1.6.0),
-        python3-cairo-dev,
-        dh-python
-X-Python-Version: >= 3.0
+        libgtk-3-dev (>= 3.20),
+        libgstreamer1.0-dev (>= 1.8.2),
+        libgstreamer-plugins-base1.0-dev (>= 1.8.2),
+        libgirepository1.0-dev,
+        python3-cairo-dev
+X-Python-Version: >= 3.3
 Standards-Version: 3.9.4
 Homepage: http://www.pitivi.org
 
@@ -28,22 +32,22 @@
         ${python3:Depends},
         python3-gi (>= 3.10),
         gir1.2-glib-2.0 (>= 1.31.1),
-        gir1.2-gstreamer-1.0 (>= 1.6.0),
-        gir1.2-gst-plugins-base-1.0 (>= 1.6.0),
-        gir1.2-ges-1.0 (>= 1.6.0),
+        gir1.2-gstreamer-1.0 (>= 1.8.2),
+        gir1.2-gst-plugins-base-1.0 (>= 1.8.2),
+        gir1.2-ges-1.0 (>= 1.8.2),
         gir1.2-pango-1.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gtk-3.0 (>= 3.10.0),
-        python3-gst-1.0 (>= 1.6.0),
+        python3-gst-1.0 (>= 1.8.2),
         python3-numpy,
         python3-matplotlib,
         python3-xdg,
         python3-cairo,
         python3-gi-cairo,
         python3-dbus,
-        gstreamer1.0-plugins-base (>= 1.6.0),
-        gstreamer1.0-plugins-good (>= 1.6.0),
-        gstreamer1.0-plugins-bad (>= 1.6.0),
+        gstreamer1.0-plugins-base (>= 1.8.2),
+        gstreamer1.0-plugins-good (>= 1.8.2),
+        gstreamer1.0-plugins-bad (>= 1.8.2),
         gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
         gstreamer1.0-x | gstreamer1.0-videosink,
         gnome-icon-theme

## pitivi 0.98

=== debian/changelog ===
pitivi (0.98-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove gnome-icon-theme from the dependencies, it is obsolete and has been
    replaced by adwaita-icon-theme for GTK3 applications. (Closes: #831048)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 28 Dec 2016 22:30:34 +0100

pitivi (0.98-1) unstable; urgency=medium

  * New upstream release:
    + Update build-dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Dec 2016 21:05:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
         dh-python,
         meson (>= 0.32.0),
         python3-dev (>= 3.3),
-        python3-nose,
+        python3-nose2,
         intltool (>= 0.35),
         gnome-doc-utils (>= 0.18.0),
         pkg-config,
@@ -17,8 +17,8 @@
         git,
         libcairo2-dev,
         libgtk-3-dev (>= 3.20),
-        libgstreamer1.0-dev (>= 1.8.2),
-        libgstreamer-plugins-base1.0-dev (>= 1.8.2),
+        libgstreamer1.0-dev (>= 1.10.2),
+        libgstreamer-plugins-base1.0-dev (>= 1.10.2),
         libgirepository1.0-dev,
         python3-cairo-dev
 X-Python-Version: >= 3.3
@@ -32,25 +32,24 @@
         ${python3:Depends},
         python3-gi (>= 3.10),
         gir1.2-glib-2.0 (>= 1.31.1),
-        gir1.2-gstreamer-1.0 (>= 1.8.2),
-        gir1.2-gst-plugins-base-1.0 (>= 1.8.2),
-        gir1.2-ges-1.0 (>= 1.8.2),
+        gir1.2-gstreamer-1.0 (>= 1.10.2),
+        gir1.2-gst-plugins-base-1.0 (>= 1.10.2),
+        gir1.2-ges-1.0 (>= 1.10.2),
         gir1.2-pango-1.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gtk-3.0 (>= 3.10.0),
-        python3-gst-1.0 (>= 1.8.2),
+        python3-gst-1.0 (>= 1.10.2),
         python3-numpy,
         python3-matplotlib,
         python3-xdg,
         python3-cairo,
         python3-gi-cairo,
         python3-dbus,
-        gstreamer1.0-plugins-base (>= 1.8.2),
-        gstreamer1.0-plugins-good (>= 1.8.2),
-        gstreamer1.0-plugins-bad (>= 1.8.2),
+        gstreamer1.0-plugins-base (>= 1.10.2),
+        gstreamer1.0-plugins-good (>= 1.10.2),
+        gstreamer1.0-plugins-bad (>= 1.10.2),
         gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
-        gstreamer1.0-x | gstreamer1.0-videosink,
-        gnome-icon-theme
+        gstreamer1.0-x | gstreamer1.0-videosink
 Suggests: gstreamer1.0-plugins-ugly,
           gstreamer1.0-libav,
           frei0r-plugins,

## pitivi 0.98.1

=== debian/changelog ===
pitivi (0.98.1-3build1) artful; urgency=medium

  * No-change rebuild to build with python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 18:40:41 +0000

pitivi (0.98.1-3) unstable; urgency=medium

  * Merge 0.98-1.1 NMU; thanks Laurent Bigonville!

 -- Loïc Minier <lool@debian.org>  Tue, 11 Jul 2017 12:00:36 +0200

pitivi (0.98.1-2) unstable; urgency=medium

  * Add Vcs-Git and Vcs-Browser fields
  * Bump Standards-Version to 4.0.0
  * Replace me with Sebastian Dröge as Maintainer

 -- Loïc Minier <lool@debian.org>  Mon, 10 Jul 2017 12:26:23 +0200

pitivi (0.98.1-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: #825150).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Jul 2017 09:56:41 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pitivi
 Section: gnome
 Priority: optional
-Maintainer: Loic Minier <lool@dooz.org>
-Uploaders: Sebastian Dröge <slomo@debian.org>
+Maintainer: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 9),
         dpkg-dev (>= 1.16.1~),
         dh-buildinfo,
@@ -22,8 +21,10 @@
         libgirepository1.0-dev,
         python3-cairo-dev
 X-Python-Version: >= 3.3
-Standards-Version: 3.9.4
+Standards-Version: 4.0.0
 Homepage: http://www.pitivi.org
+Vcs-Git: git://git.debian.org/git/pkg-gstreamer/pitivi.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/pitivi.git
 
 Package: pitivi
 Architecture: any

## pitivi 0.99

=== meson_options.txt ===
option('disable-help', type : 'boolean', value : false)

=== subprojects/gst-transcoder/meson_options.txt ===
option('disable-introspection', type : 'boolean', value : false, description : 'disable introspection of the library')
option('disable_doc', type : 'boolean', value : false)

=== debian/changelog ===
pitivi (0.99-3) unstable; urgency=medium

  * debian/control:
    + Depend on gstreamer1.0-gtk3 (Closes: #894439).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Mar 2018 15:46:01 +0300

pitivi (0.99-2) unstable; urgency=medium

  * debian/patches/0001-Don-t-require-gst-validate-to-be-available.patch:
    + Don't require gst-validate to be available (Closes: #876607)

 -- Sebastian Dröge <slomo@debian.org>  Sun, 24 Sep 2017 09:46:35 +0300

pitivi (0.99-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Sat, 23 Sep 2017 14:28:52 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
         dpkg-dev (>= 1.16.1~),
         dh-buildinfo,
         dh-python,
-        meson (>= 0.32.0),
+        meson (>= 0.41.0),
         python3-dev (>= 3.3),
         python3-nose2,
         intltool (>= 0.35),
@@ -16,8 +16,8 @@
         git,
         libcairo2-dev,
         libgtk-3-dev (>= 3.20),
-        libgstreamer1.0-dev (>= 1.10.2),
-        libgstreamer-plugins-base1.0-dev (>= 1.10.2),
+        libgstreamer1.0-dev (>= 1.12.3),
+        libgstreamer-plugins-base1.0-dev (>= 1.12.3),
         libgirepository1.0-dev,
         python3-cairo-dev
 X-Python-Version: >= 3.3
@@ -33,23 +33,24 @@
         ${python3:Depends},
         python3-gi (>= 3.10),
         gir1.2-glib-2.0 (>= 1.31.1),
-        gir1.2-gstreamer-1.0 (>= 1.10.2),
-        gir1.2-gst-plugins-base-1.0 (>= 1.10.2),
-        gir1.2-ges-1.0 (>= 1.10.2),
+        gir1.2-gstreamer-1.0 (>= 1.12.3),
+        gir1.2-gst-plugins-base-1.0 (>= 1.12.3),
+        gir1.2-ges-1.0 (>= 1.12.3),
         gir1.2-pango-1.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gtk-3.0 (>= 3.10.0),
-        python3-gst-1.0 (>= 1.10.2),
+        python3-gst-1.0 (>= 1.12.3),
         python3-numpy,
         python3-matplotlib,
         python3-xdg,
         python3-cairo,
         python3-gi-cairo,
         python3-dbus,
-        gstreamer1.0-plugins-base (>= 1.10.2),
-        gstreamer1.0-plugins-good (>= 1.10.2),
-        gstreamer1.0-plugins-bad (>= 1.10.2),
+        gstreamer1.0-plugins-base (>= 1.12.3),
+        gstreamer1.0-plugins-good (>= 1.12.3),
+        gstreamer1.0-plugins-bad (>= 1.12.3),
         gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
+        gstreamer1.0-gtk3,
         gstreamer1.0-x | gstreamer1.0-videosink
 Suggests: gstreamer1.0-plugins-ugly,
           gstreamer1.0-libav,

## pitivi 0.999

=== meson_options.txt ===
option('disable-help', type : 'boolean', value : false)
option('build-gst', type : 'boolean', value : false)

=== subprojects/gst-transcoder/meson_options.txt ===
option('disable_doc', type : 'boolean', value : false)
option('disable_introspection', type : 'boolean', value : false, description : 'disable introspection of the library')

=== debian/changelog ===
pitivi (0.999-1) unstable; urgency=medium

  * debian/control:
    + Add gir1.2-gsound-1.0 to Suggests. It can be used for sound
    notifications but is optional (Closes: #895382).
  * New upstream bugfix release:
    + debian/control:
      - (Build-)depend on GStreamer 1.14.2.
    + debian/patches/0001-Don-t-require-gst-validate-to-be-available.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Sep 2018 17:01:24 +0300

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
         git,
         libcairo2-dev,
         libgtk-3-dev (>= 3.20),
-        libgstreamer1.0-dev (>= 1.12.3),
-        libgstreamer-plugins-base1.0-dev (>= 1.12.3),
+        libgstreamer1.0-dev (>= 1.14.2),
+        libgstreamer-plugins-base1.0-dev (>= 1.14.2),
         libgirepository1.0-dev,
         python3-cairo-dev
 X-Python-Version: >= 3.3
@@ -33,22 +33,22 @@
         ${python3:Depends},
         python3-gi (>= 3.10),
         gir1.2-glib-2.0 (>= 1.31.1),
-        gir1.2-gstreamer-1.0 (>= 1.12.3),
-        gir1.2-gst-plugins-base-1.0 (>= 1.12.3),
-        gir1.2-ges-1.0 (>= 1.12.3),
+        gir1.2-gstreamer-1.0 (>= 1.14.2),
+        gir1.2-gst-plugins-base-1.0 (>= 1.14.2),
+        gir1.2-ges-1.0 (>= 1.14.2),
         gir1.2-pango-1.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gtk-3.0 (>= 3.10.0),
-        python3-gst-1.0 (>= 1.12.3),
+        python3-gst-1.0 (>= 1.14.2),
         python3-numpy,
         python3-matplotlib,
         python3-xdg,
         python3-cairo,
         python3-gi-cairo,
         python3-dbus,
-        gstreamer1.0-plugins-base (>= 1.12.3),
-        gstreamer1.0-plugins-good (>= 1.12.3),
-        gstreamer1.0-plugins-bad (>= 1.12.3),
+        gstreamer1.0-plugins-base (>= 1.14.2),
+        gstreamer1.0-plugins-good (>= 1.14.2),
+        gstreamer1.0-plugins-bad (>= 1.14.2),
         gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
         gstreamer1.0-gtk3,
         gstreamer1.0-x | gstreamer1.0-videosink
@@ -56,6 +56,7 @@
           gstreamer1.0-libav,
           frei0r-plugins,
           gir1.2-notify-0.7,
+          gir1.2-gsound-1.0,
           gir1.2-gnomedesktop-3.0
 Description: non-linear audio/video editor using GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python/python.mk

export MAKE = ninja -v

configure_flags += \
		--disable-silent-rules \
		$(NULL)

%:
	dh $@ --with python3 --without pysupport

override_dh_python3:
	dh_python3
	dh_python3 /usr/lib/$(DEB_TARGET_MULTIARCH)/pitivi/python/pitivi

override_dh_auto_configure:
	mkdir -p deb-build && meson --buildtype plain --prefix /usr . deb-build

override_dh_auto_build:
	$(MAKE) -C deb-build all

override_dh_auto_clean:
	rm -rf deb-build
	dh_auto_clean

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/pitivi $(MAKE) -C deb-build install
	dh_auto_install
